Package tigase.server

# Enum Class CmdAcl.Type

java.lang.Object
java.lang.Enum<CmdAcl.Type>
tigase.server.CmdAcl.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<CmdAcl.Type>`, `Constable`

Enclosing class:
  CmdAcl

public static enum CmdAcl.Type extends Enum<CmdAcl.Type>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADMIN`
  Only local server administrators can execute command.
  `ALL`
  Everybody can execute the command, even users from a different servers.
  `DOMAIN`
  Only users who have an account within the given domain can execute the command.
  `DOMAIN_ADMIN`
  Only user who is an admin of the given domain can execute the command.
  `DOMAIN_OWNER`
  Only user who is an owner of the given domain can execute the command.
  `JID`
  Comma separated list of JIDs of users who can execute the command.
  `LOCAL`
  Only users who have accounts on this local server can execute the command.
  `NONE`
  No one is allowed to execute the command, even server administrators!

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CmdAcl.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CmdAcl.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final CmdAcl.Type ALL
    Everybody can execute the command, even users from a different servers.

  - ### ADMIN

    public static final CmdAcl.Type ADMIN
    Only local server administrators can execute command.

  - ### LOCAL

    public static final CmdAcl.Type LOCAL
    Only users who have accounts on this local server can execute the command.

  - ### DOMAIN

    public static final CmdAcl.Type DOMAIN
    Only users who have an account within the given domain can execute the command.

  - ### DOMAIN_ADMIN

    public static final CmdAcl.Type DOMAIN_ADMIN
    Only user who is an admin of the given domain can execute the command.

  - ### DOMAIN_OWNER

    public static final CmdAcl.Type DOMAIN_OWNER
    Only user who is an owner of the given domain can execute the command.

  - ### JID

    public static final CmdAcl.Type JID
    Comma separated list of JIDs of users who can execute the command.

  - ### NONE

    public static final CmdAcl.Type NONE
    No one is allowed to execute the command, even server administrators!

- ## Method Details

  - ### values

    public static CmdAcl.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CmdAcl.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null